GET /api/v202401/import/bill/task/{taskGuid}/kickout/{filename}/summary

Retrieves a summary of kickout messages for a specific file within a bill import task

GetTaskKickoutSummaryByFileV202401 Permissions: BillsAndBatches (View)
Use this endpoint to get a kickout summary scoped to a single file when the import contained multiple files (e.g., from a ZIP). The task must be of type Bill Import. Requires Bills and Batches View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
taskGuid The GUID of the bill import task string (uuid) Required
filename The specific kickout file name to retrieve the summary for string Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillImportTaskKickoutSummaryResponse
Property Description Type
fileName The name of the imported file that produced the kickouts string
kickoutMessages A list of the kickout messages produced by the uploaded file. string[]
taskGuid The identifier for the task that produced the kickouts string (uuid)
Example Response application/json
{  "fileName": "string",  "kickoutMessages": [
    "string"
  ],  "taskGuid": "string"
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.